## golang-github-opencontainers-specs 0.5.0

=== Makefile ===

DOCKER ?= $(shell which docker)
DOC_FILES := \
	README.md \
	code-of-conduct.md \
	principles.md \
	style.md \
	ROADMAP.md \
	implementations.md \
	bundle.md \
	runtime.md \
	runtime-linux.md \
	config.md \
	config-linux.md \
	glossary.md
EPOCH_TEST_COMMIT := 041eb73d2e0391463894c04c8ac938036143eba3

docs: pdf html
.PHONY: docs

pdf:
	@mkdir -p output/ && \
	$(DOCKER) run \
	-it \
	--rm \
	-v $(shell pwd)/:/input/:ro \
	-v $(shell pwd)/output/:/output/ \
	-u $(shell id -u) \
	vbatts/pandoc -f markdown_github -t latex -o /output/docs.pdf $(patsubst %,/input/%,$(DOC_FILES)) && \
	ls -sh $(shell readlink -f output/docs.pdf)

html:
	@mkdir -p output/ && \
	$(DOCKER) run \
	-it \
	--rm \
	-v $(shell pwd)/:/input/:ro \
	-v $(shell pwd)/output/:/output/ \
	-u $(shell id -u) \
	vbatts/pandoc -f markdown_github -t html5 -o /output/docs.html $(patsubst %,/input/%,$(DOC_FILES)) && \
	ls -sh $(shell readlink -f output/docs.html)


HOST_GOLANG_VERSION	= $(shell go version | cut -d ' ' -f3 | cut -c 3-)
# this variable is used like a function. First arg is the minimum version, Second arg is the version to be checked.
ALLOWED_GO_VERSION	= $(shell test '$(shell /bin/echo -e "$(1)\n$(2)" | sort -V | head -n1)' == '$(1)' && echo 'true')

.PHONY: test .govet .golint .gitvalidation

test: .govet .golint .gitvalidation

# `go get golang.org/x/tools/cmd/vet`
.govet:
	go vet -x ./...

# `go get github.com/golang/lint/golint`
.golint:
ifeq ($(call ALLOWED_GO_VERSION,1.5,$(HOST_GOLANG_VERSION)),true)
	golint ./...
endif


# `go get github.com/vbatts/git-validation`
.gitvalidation:
	git-validation -q -run DCO,short-subject -v -range $(EPOCH_TEST_COMMIT)..HEAD

clean:
	rm -rf output/ *~

=== schema/Makefile ===

default: help

help:
	@echo "Usage: make <target>"
	@echo
	@echo " * 'fmt' - format the json with indentation"
	@echo " * 'validate' - build the validation tool"

fmt:
	for i in *.json ; do jq --indent 4 -M . "$${i}" > xx && cat xx > "$${i}" && rm xx ; done

validate: validate.go
	go build ./validate.go

## golang-github-opencontainers-specs 0.0~git20150829.0.e9cb564

=== debian/changelog ===
golang-github-opencontainers-specs (0.0~git20150829.0.e9cb564-1) unstable; urgency=low

  * Initial release (Closes: #796284)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Thu, 20 Aug 2015 18:32:57 -0400

=== debian/control ===
Source: golang-github-opencontainers-specs
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go
Standards-Version: 3.9.6
Homepage: https://github.com/opencontainers/specs
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opencontainers-specs.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-opencontainers-specs.git

Package: golang-github-opencontainers-specs-dev
Architecture: all
Depends: ${misc:Depends},
         golang-go
Built-Using: ${misc:Built-Using}
Description: Open Container Specifications
 This project is where the Open Container Initiative Specifications
 are written. The specs.go file contains various structs of the
 specification such as Spec, Hooks, Mount, Process, Root, Platform
 and Hook.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/opencontainers/specs

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-opencontainers-specs 0.5.0

=== debian/changelog ===
golang-github-opencontainers-specs (0.5.0-1) unstable; urgency=medium

  * New upstream release [April 2016] (Closes: #822217).
    + "specs" --> "runtime-spec"; install compatibility symlink.
  * Dropped "Built-Using" field from -dev package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Apr 2016 20:53:24 +1000

golang-github-opencontainers-specs (0.4.0-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * (Build-)Depends += "golang-github-xeipuuv-gojsonschema-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 25 Mar 2016 20:30:18 +1100

golang-github-opencontainers-specs (0.3.0-1) unstable; urgency=medium

  * New upstream release [February 2016].
  * Introduced "watch" file.
  * Standards-Version: 3.9.7.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Mar 2016 20:16:42 +1100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
+          ,Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go
-Standards-Version: 3.9.6
-Homepage: https://github.com/opencontainers/specs
+    ,golang-github-xeipuuv-gojsonschema-dev
+Standards-Version: 3.9.7
+Homepage: https://github.com/opencontainers/runtime-spec
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opencontainers-specs.git
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-opencontainers-specs.git
 
@@ -15,7 +17,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-go
-Built-Using: ${misc:Built-Using}
+    ,golang-github-xeipuuv-gojsonschema-dev
 Description: Open Container Specifications
  This project is where the Open Container Initiative Specifications
  are written. The specs.go file contains various structs of the

=== debian/watch ===
version=3

 https://github.com/opencontainers/runtime-spec/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-opencontainers-specs 1.0.0~rc1

=== Makefile ===

EPOCH_TEST_COMMIT	:= 78e6667ae2d67aad100b28ee9580b41b7a24e667
OUTPUT_DIRNAME		?= output/
DOC_FILENAME		?= oci-runtime-spec
SHELL			?= $(shell command -v bash 2>/dev/null)
DOCKER			?= $(shell command -v docker 2>/dev/null)
PANDOC			?= $(shell command -v pandoc 2>/dev/null)
ifeq "$(strip $(PANDOC))" ''
	ifneq "$(strip $(DOCKER))" ''
		PANDOC = $(DOCKER) run \
			-it \
			--rm \
			-v $(shell pwd)/:/input/:ro \
			-v $(shell pwd)/$(OUTPUT_DIRNAME)/:/$(OUTPUT_DIRNAME)/ \
			-u $(shell id -u) \
			vbatts/pandoc
		PANDOC_SRC := /input/
		PANDOC_DST := /
	endif
endif

# These docs are in an order that determines how they show up in the PDF/HTML docs.
DOC_FILES := \
	version.md \
	README.md \
	code-of-conduct.md \
	principles.md \
	style.md \
	ROADMAP.md \
	implementations.md \
	project.md \
	bundle.md \
	runtime.md \
	runtime-linux.md \
	config.md \
	config-linux.md \
	config-solaris.md \
	glossary.md

default: docs

.PHONY: docs
docs: $(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html

ifeq "$(strip $(PANDOC))" ''
$(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf $(OUTPUT_DIRNAME)/$(DOC_FILENAME).html:
	$(error cannot build $@ without either pandoc or docker)
else
$(OUTPUT_DIRNAME)/$(DOC_FILENAME).pdf: $(DOC_FILES)
	mkdir -p $(OUTPUT_DIRNAME)/ && \
	$(PANDOC) -f markdown_github -t latex -o $(PANDOC_DST)$@ $(patsubst %,$(PANDOC_SRC)%,$(DOC_FILES))

$(OUTPUT_DIRNAME)/$(DOC_FILENAME).html: $(DOC_FILES)
	mkdir -p $(OUTPUT_DIRNAME)/ && \
	$(PANDOC) -f markdown_github -t html5 -o $(PANDOC_DST)$@ $(patsubst %,$(PANDOC_SRC)%,$(DOC_FILES))
endif

code-of-conduct.md:
	curl -o $@ https://raw.githubusercontent.com/opencontainers/tob/d2f9d68c1332870e40693fe077d311e0742bc73d/code-of-conduct.md

version.md: ./specs-go/version.go
	go run ./.tool/version-doc.go > $@

HOST_GOLANG_VERSION	= $(shell go version | cut -d ' ' -f3 | cut -c 3-)
# this variable is used like a function. First arg is the minimum version, Second arg is the version to be checked.
ALLOWED_GO_VERSION	= $(shell test '$(shell /bin/echo -e "$(1)\n$(2)" | sort -V | head -n1)' == '$(1)' && echo 'true')

.PHONY: test .govet .golint .gitvalidation

test: .govet .golint .gitvalidation

# `go get golang.org/x/tools/cmd/vet`
.govet:
	@go tool | grep -qw vet || (echo "ERROR: 'go vet' not found. Consider 'make install.tools' target" && false)
	go vet -x ./...

# `go get github.com/golang/lint/golint`
.golint:
ifeq ($(call ALLOWED_GO_VERSION,1.5,$(HOST_GOLANG_VERSION)),true)
	@which golint > /dev/null 2>/dev/null || (echo "ERROR: golint not found. Consider 'make install.tools' target" && false)
	golint ./...
endif


# When this is running in travis, it will only check the travis commit range
.gitvalidation:
	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make install.tools' target" && false)
ifeq ($(TRAVIS),true)
	git-validation -q -run DCO,short-subject,dangling-whitespace
else
	git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
endif


.PHONY: install.tools
install.tools: .install.golint .install.govet .install.gitvalidation

# golint does not even build for <go1.5
.install.golint:
ifeq ($(call ALLOWED_GO_VERSION,1.5,$(HOST_GOLANG_VERSION)),true)
	go get github.com/golang/lint/golint
endif

# go vet is now included in >=go1.5, so no need to get it.
.install.govet:
ifeq ($(call ALLOWED_GO_VERSION,1.5,$(HOST_GOLANG_VERSION)),true)
	go get golang.org/x/tools/cmd/vet
endif

.install.gitvalidation:
	go get github.com/vbatts/git-validation


.PHONY: clean
clean:
	rm -rf $(OUTPUT_DIRNAME) *~

=== schema/Makefile ===
--- 
+++ 
@@ -11,5 +11,6 @@
 	for i in *.json ; do jq --indent 4 -M . "$${i}" > xx && cat xx > "$${i}" && rm xx ; done
 
 validate: validate.go
+	go get -d ./...
 	go build ./validate.go

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.0~rc1-1~bpo8+1) jessie-backports; urgency=medium

  [ Team upload ]
  * Rebuild for jessie-backports.

 -- Tim Potter <tpot@hpe.com>  Tue, 19 Jul 2016 08:10:15 +1000

golang-github-opencontainers-specs (1.0.0~rc1-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 3.9.8.
  * watch: check ~rc releases.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jul 2016 16:15:49 +1000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
           ,Dmitry Smirnov <onlyjob@debian.org>
+          ,Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go
     ,golang-github-xeipuuv-gojsonschema-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/opencontainers/runtime-spec
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opencontainers-specs.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-opencontainers-specs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-opencontainers-specs.git
 
 Package: golang-github-opencontainers-specs-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/opencontainers/runtime-spec
export DH_GOLANG_EXCLUDES := schema

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-opencontainers-specs 1.0.0~rc2+git20160926.38.1c7c27d

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 EPOCH_TEST_COMMIT	:= 78e6667ae2d67aad100b28ee9580b41b7a24e667
 OUTPUT_DIRNAME		?= output/
 DOC_FILENAME		?= oci-runtime-spec
-SHELL			?= $(shell command -v bash 2>/dev/null)
 DOCKER			?= $(shell command -v docker 2>/dev/null)
 PANDOC			?= $(shell command -v pandoc 2>/dev/null)
 ifeq "$(strip $(PANDOC))" ''
@@ -63,15 +62,13 @@
 
 HOST_GOLANG_VERSION	= $(shell go version | cut -d ' ' -f3 | cut -c 3-)
 # this variable is used like a function. First arg is the minimum version, Second arg is the version to be checked.
-ALLOWED_GO_VERSION	= $(shell test '$(shell /bin/echo -e "$(1)\n$(2)" | sort -V | head -n1)' == '$(1)' && echo 'true')
+ALLOWED_GO_VERSION	= $(shell test '$(shell /bin/echo -e "$(1)\n$(2)" | sort -V | head -n1)' = '$(1)' && echo 'true')
 
 .PHONY: test .govet .golint .gitvalidation
 
 test: .govet .golint .gitvalidation
 
-# `go get golang.org/x/tools/cmd/vet`
 .govet:
-	@go tool | grep -qw vet || (echo "ERROR: 'go vet' not found. Consider 'make install.tools' target" && false)
 	go vet -x ./...
 
 # `go get github.com/golang/lint/golint`
@@ -93,25 +90,20 @@
 
 
 .PHONY: install.tools
-install.tools: .install.golint .install.govet .install.gitvalidation
+install.tools: .install.golint .install.gitvalidation
 
 # golint does not even build for <go1.5
 .install.golint:
 ifeq ($(call ALLOWED_GO_VERSION,1.5,$(HOST_GOLANG_VERSION)),true)
-	go get github.com/golang/lint/golint
-endif
-
-# go vet is now included in >=go1.5, so no need to get it.
-.install.govet:
-ifeq ($(call ALLOWED_GO_VERSION,1.5,$(HOST_GOLANG_VERSION)),true)
-	go get golang.org/x/tools/cmd/vet
+	go get -u github.com/golang/lint/golint
 endif
 
 .install.gitvalidation:
-	go get github.com/vbatts/git-validation
+	go get -u github.com/vbatts/git-validation
 
 
 .PHONY: clean
 clean:
 	rm -rf $(OUTPUT_DIRNAME) *~
+	rm -f code-of-conduct.md version.md

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.0~rc2+git20160926.38.1c7c27d-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 10 Aug 2017 13:19:17 +0300

golang-github-opencontainers-specs (1.0.0~rc2+git20160926.38.1c7c27d-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Tim Potter <tpot@hpe.com>  Fri, 27 Jan 2017 16:58:07 +1100

## golang-github-opencontainers-specs 1.0.0

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 18 Aug 2017 17:26:32 +0200

=== debian/control ===
Source: golang-github-opencontainers-specs
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-any,
               golang-github-xeipuuv-gojsonschema-dev
Standards-Version: 3.9.8
Homepage: https://github.com/opencontainers/runtime-spec
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opencontainers-specs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-opencontainers-specs.git

Package: golang-github-opencontainers-specs-dev
Architecture: all
Depends: golang-github-xeipuuv-gojsonschema-dev, ${misc:Depends}
Description: Open Container Specifications
 This project is where the Open Container Initiative Specifications
 are written. The specs.go file contains various structs of the
 specification such as Spec, Hooks, Mount, Process, Root, Platform
 and Hook.

## golang-github-opencontainers-specs 1.0.1

=== schema/Makefile ===
GOOD_TESTS = $(wildcard test/good/*.json)
BAD_TESTS = $(wildcard test/bad/*.json)

default: validate

help:
	@echo "Usage: make [target]"
	@echo
	@echo " * 'fmt' - format the json with indentation"
	@echo " * 'help' - show this help information"
	@echo " * 'validate' - build the validation tool"

fmt:
	find . -name '*.json' -exec bash -c 'jq --indent 4 -M . {} > xx && mv xx {} || echo "skipping invalid {}"' \;

.PHONY: validate
validate: validate.go
	go get -d ./...
	go build ./validate.go

test: validate $(TESTS)
	for TYPE in $$(ls test); \
	do \
		echo "testing $${TYPE}"; \
		for FILE in $$(ls "test/$${TYPE}/good"); \
		do \
			echo "  testing test/$${TYPE}/good/$${FILE}"; \
			if ./validate "$${TYPE}-schema.json" "test/$${TYPE}/good/$${FILE}" ; \
			then \
				echo "    received expected validation success" ; \
			else \
				echo "    received unexpected validation failure" ; \
				exit 1; \
			fi \
		done; \
		for FILE in $$(ls "test/$${TYPE}/bad"); \
		do \
			echo "  testing test/$${TYPE}/bad/$${FILE}"; \
			if ./validate "$${TYPE}-schema.json" "test/$${TYPE}/good/$${FILE}" ; \
			then \
				echo "    received unexpected validation success" ; \
				exit 1; \
			else \
				echo "    received expected validation failure" ; \
			fi \
		done; \
	done

clean:
	rm -f validate

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.1-5) unstable; urgency=medium

  * Add patch to allow build of runc 1.0.0-rc6

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Fri, 25 Jan 2019 00:20:34 +1100

golang-github-opencontainers-specs (1.0.1-4) unstable; urgency=medium

  * Provides: golang-github-opencontainers-runtime-spec-dev
  * debhelper & compat to version 11
  * Standards-Version: 4.1.4

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 Jun 2018 20:35:17 +1000

golang-github-opencontainers-specs (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:24:46 -0500

golang-github-opencontainers-specs (1.0.1-2) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 16:09:57 -0500

golang-github-opencontainers-specs (1.0.1-1) unstable; urgency=medium

  * Move to salsa.debian.org.
  * Change my email to @debian.org.
  * Use XS-Go-Import-Path.
  * Testsuite: autopkgtest-pkg-go.
  * Priority extra -> optional.
  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 01:00:57 -0500

=== debian/control ===
Source: golang-github-opencontainers-specs
Section: devel
Priority: optional
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any,
               golang-github-xeipuuv-gojsonschema-dev
Standards-Version: 4.1.4
Homepage: https://github.com/opencontainers/runtime-spec
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/opencontainers/runtime-spec

Package: golang-github-opencontainers-specs-dev
Provides: golang-github-opencontainers-runtime-spec-dev
Architecture: all
Depends: golang-github-xeipuuv-gojsonschema-dev, ${misc:Depends}
Description: Open Container Specifications
 This project is where the Open Container Initiative Specifications
 are written. The specs.go file contains various structs of the
 specification such as Spec, Hooks, Mount, Process, Root, Platform
 and Hook.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := schema

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3

opts=\
uversionmangle=s{\-rc}{~rc},\
 https://github.com/opencontainers/runtime-spec/releases \
 .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz

## golang-github-opencontainers-specs 1.0.1%2Bgit20190408.a1b50f6

=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_EXCLUDES :=
export DH_GOLANG_INSTALL_EXTRA = $(shell find -type f -name '*.json')

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-github-opencontainers-specs 1.0.1+git20181111.1722abf

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.1+git20181111.1722abf-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders.

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Sep 2019 18:44:10 -0400

golang-github-opencontainers-specs (1.0.1+git20181111.1722abf-1) unstable; urgency=medium

  * New upstream snapshot as required by runtime-tools v0.9.0.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 Sep 2019 17:08:49 +1000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: golang-github-opencontainers-specs
 Section: devel
 Priority: optional
+Standards-Version: 4.4.0
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>,
-           Dmitry Smirnov <onlyjob@debian.org>,
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-golang,
                golang-any,
                golang-github-xeipuuv-gojsonschema-dev
-Standards-Version: 4.1.4
 Homepage: https://github.com/opencontainers/runtime-spec
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs.git

## golang-github-opencontainers-specs 1.0.1+git20190408.a1b50f6

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.1+git20190408.a1b50f6-1) unstable; urgency=medium

  * New upstream snapshot + patch (as required by "crun").
  * Install "schema" with .json files.
  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Nov 2019 02:52:47 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-opencontainers-specs
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>

## golang-github-opencontainers-specs 1.0.2

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.0.0~rc2+git20160926.38.1c7c27d-2.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields.

  [ Shengjing Zhu ]
  * Drop patch applied in new version
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Update Standards-Version to 4.5.0 (no changes)
  * Bump debhelper-compat to 13
  * Add Rules-Requires-Root
  * Drop Depends of golang-github-xeipuuv-gojsonschema-dev.
    Only used for validation, but validation is not run anyway.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 17 Aug 2020 22:41:34 +0800

## golang-github-opencontainers-specs 1.0.2.29.gd438e29

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.2.29.gd438e29-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot
    runc 1.0~rc92 requires the HEAD version

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 18 Aug 2020 01:18:25 +0800

## golang-github-opencontainers-specs 1.0.2.39.gf1164e5

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.2.39.gf1164e5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2.39.gf1164e5

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Nov 2020 16:01:43 +0800

=== debian/control ===
Source: golang-github-opencontainers-specs
Section: devel
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
Homepage: https://github.com/opencontainers/runtime-spec
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/opencontainers/runtime-spec

Package: golang-github-opencontainers-specs-dev
Provides: golang-github-opencontainers-runtime-spec-dev,
Depends: ${misc:Depends},
Architecture: all
Description: Open Container Specifications
 This project is where the Open Container Initiative Specifications
 are written. The specs.go file contains various structs of the
 specification such as Spec, Hooks, Mount, Process, Root, Platform
 and Hook.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := schema
# Schema json is required to build crun.
export DH_GOLANG_INSTALL_EXTRA := $(shell find -type f -name '*.json')
export DH_GOLANG_EXCLUDES_ALL := 0

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-opencontainers-specs 1.0.2.41.g7413a7f

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.2.41.g7413a7f-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2.41.g7413a7f
  * Drop compatibility patch, no longer needed
  * Update Standards-Version to 4.5.1 (no changes)
  * Update Section to golang

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 Jan 2021 00:38:52 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-opencontainers-specs
-Section: devel
+Section: golang
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>,

## golang-github-opencontainers-specs 1.0.2.66.g20a2d97

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.2.66.g20a2d97-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2.66.g20a2d97
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 20 Aug 2021 23:23:48 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-opencontainers-specs
 Section: golang
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>,

=== debian/watch ===
version=4

#opts=uversionmangle=s{\-rc}{~rc},\
# https://github.com/opencontainers/runtime-spec/releases \
# .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz

opts="mode=git, pgpmode=none, pretty=describe, uversionmangle=s/^v//" \
  https://github.com/opencontainers/runtime-spec/ \
  HEAD

## golang-github-opencontainers-specs 1.0.2.102.ga8106e9

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.2.102.ga8106e9-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot 1.0.2.102.ga8106e9.
  * Update Standards-Version to 4.6.1 (no changes)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 31 Jul 2022 22:11:36 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-opencontainers-specs
 Section: golang
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>,

## golang-github-opencontainers-specs 1.0.2.118.g5cfc4c3

=== debian/changelog ===
golang-github-opencontainers-specs (1.0.2.118.g5cfc4c3-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot 1.0.2.118.g5cfc4c3, needed for crun >= 1.7.
  * Update Standards-Version to 4.6.2 (no changes)
  * Mark with Multi-Arch: foreign, per multi-arch hinter.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 25 Jan 2023 05:43:21 +0200

## golang-github-opencontainers-specs 1.1.0~rc3

=== debian/changelog ===
golang-github-opencontainers-specs (1.1.0~rc3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (release candidate), needed for crun >= 1.8.4.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 12 Jul 2023 22:46:18 +0300

## golang-github-opencontainers-specs 1.1.0

=== debian/changelog ===
golang-github-opencontainers-specs (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 06 Sep 2023 16:28:57 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-opencontainers-specs
 Section: golang
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -19,6 +19,7 @@
 Provides: golang-github-opencontainers-runtime-spec-dev,
 Depends: ${misc:Depends},
 Architecture: all
+Multi-Arch: foreign
 Description: Open Container Specifications
  This project is where the Open Container Initiative Specifications
  are written. The specs.go file contains various structs of the

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := .tool
# Schema json is required to build crun.
export DH_GOLANG_INSTALL_EXTRA := $(shell find ./schema/ -maxdepth 1 -type f -name '*.json')

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

execute_after_dh_auto_configure:
	find _build -name validate.go -delete -print

## golang-github-opencontainers-specs 1.2.0

=== debian/changelog ===
golang-github-opencontainers-specs (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Backport CPU affinity from git main, needed for crun >= 1.19.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 04 Jan 2025 11:40:53 +0200

golang-github-opencontainers-specs (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.0 (no changes)

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 02 May 2024 16:29:54 +0300

=== debian/control ===
Source: golang-github-opencontainers-specs
Section: golang
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Tim Potter <tpot@hpe.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Homepage: https://github.com/opencontainers/runtime-spec
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/opencontainers/runtime-spec

Package: golang-github-opencontainers-specs-dev
Provides:
 golang-github-opencontainers-runtime-spec-dev,
Depends:
 ${misc:Depends},
Architecture: all
Multi-Arch: foreign
Description: Open Container Specifications
 This project is where the Open Container Initiative Specifications
 are written. The specs.go file contains various structs of the
 specification such as Spec, Hooks, Mount, Process, Root, Platform
 and Hook.

## golang-github-opencontainers-specs 1.2.1

=== debian/changelog ===
golang-github-opencontainers-specs (1.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump standards version, no changes needed
  * Drop patches, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Aug 2025 20:06:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-opencontainers-specs
 Section: golang
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,

=== debian/watch ===
version=4

#opts=uversionmangle=s{\-rc}{~rc},\
# https://github.com/opencontainers/runtime-spec/releases \
# .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz

opts="mode=git, pgpmode=none, pretty=describe, uversionmangle=s/^v//;s/-rc\./~rc/" \
  https://github.com/opencontainers/runtime-spec/ \
  refs/tags/v@ANY_VERSION@

## golang-github-opencontainers-specs 1.3.0

=== debian/changelog ===
golang-github-opencontainers-specs (1.3.0-1) experimental; urgency=medium

  * New upstream release
    - FreeBSD support added (new config-freebsd section)
    - Virtual machine hardware configuration (hwConfig object)
    - Intel RDT: schemata and enableMonitoring fields
    - Network device passthrough (netDevices object)
    - NUMA-aware memory policy (memoryPolicy.nodes)
    - Hooks: post-start hooks now fail the container on error
    - Clarified Intel RDT, PID limits, and memory policy behaviour
    - Default CLOS defined for Intel RDT
  * Documentation: systemd-nspawn listed as implementation
  * debian/control:
     - Replace Tim with myself as maintainer
     - Drop redundant "Rules-Requires-Root"

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 05 Nov 2025 07:15:51 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
- Tim Potter <tpot@hpe.com>,
+ Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-golang,
@@ -13,7 +13,6 @@
 Homepage: https://github.com/opencontainers/runtime-spec
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-specs.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/opencontainers/runtime-spec

=== debian/watch ===
Version: 5

Template: Github
Owner: opencontainers
Project: runtime-spec
